from OpenGL.GL import *


class createpoint:
    x = y = z = 0.0
    display_color = (0, 0, 1)

    def __init__(self, p, c=(0, 1, 0)):
        """ Position in 3d space as a tuple or list, and colour in tuple or list format"""
        self.point_size = 5
        self.color = c
        self.display_color = c
        self.x, self.y, self.z = p

    def get_pos(self):
        """ Return the cordinates as a tuple"""
        return self.x, self.y, self.z

    def glvertex(self):
        """ Opengl vertex useful so we can dont have to glbegin and glend for each point"""
        glVertex3f(self.x, self.y, self.z)

    def __getitem__(self, index):
        """ Get a cordinate handy for use in for loops where we want to calculate things"""
        return (self.x, self.y, self.z)[index]

    def __str__(self):
        """ Print point cordinates useful for debugging"""
        return '(%s, %s, %s)' % (str(self.x), str(self.y), str(self.z))

    def __eq__(self, point):
        """ Equality test so we can test if points occupy same space"""
        return self.x == point.x and self.y == point.y and self.z == point.z

    def draw(self, c=(0, 1, 0)):
        """ Set the size of the point and render"""
        glPointSize(self.point_size)
        glBegin(GL_POINTS)
        glColor3f(self.color[0], self.color[1], self.color[2])
        glVertex3f(self.x, self.y, self.z)
        glEnd()
