#import required files
import os,sys
import tempfile
import webbrowser

#append this to module path so we can load from the parent directory
sys.path.append(os.path.abspath('../'))
from scaffold.web import web as html
from scaffold.loaders import load_partial


web=html()
web.document_root=os.path.abspath('../')
web.template.theme_full_path='../'
web.template.css_includes.append(web.template.theme_full_path + 'main.css')
image_path = './img'

web.template.css_includes.append(web.template.theme_full_path+'main.css')
web.template.create("Python CAD Tutorial 05 - Drawing a planes", '')


web.page.header('Tutorial 05 - Drawing planes')
web.link.create('View/Download Code', 'Code Download', 'https://code.launchpad.net/~oly/pycad/tut05')
web.images.create(image_path + '/tut05-interface.png', title='Interface mouse clicks')
web.page.section(web.link.render())
web.page.section(web.images.render())

web.page.section(
    """In this tutorial we will create and draw new lines for every second click in the view area.""")

web.pre.create(load_partial('../../cad/line.py', 0))
web.page.section(web.pre.render())

#append the html into the document body
web.container.set_id('wrapper')
web.container.append(web.page.render())
web.template.body.append(web.container.render())


#nothing special dump content to a file and open in browser
filepath = web.document_root + os.sep + "tut6/index.html"
print filepath
with open(filepath, 'w') as f:
    f.write(web.render().encode('UTF-8'))
webbrowser.open_new_tab('file:///'+filepath)
